/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model184
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model184 {
  @SerializedName("title")
  private String title = null;

  @SerializedName("first_name")
  private String firstName = null;

  @SerializedName("middle_name")
  private String middleName = null;

  @SerializedName("last_name")
  private String lastName = null;

  @SerializedName("birth_date")
  private String birthDate = null;

  @SerializedName("external_informations")
  private ExternalInformations externalInformations = null;

  public Model184 title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Civility (Mr, Ms, Miss, Doctor, Professor). Expected values:(MR, MRS, MISS, DR, PR)
   * @return title
  **/
  @ApiModelProperty(example = "MR", required = true, value = "Civility (Mr, Ms, Miss, Doctor, Professor). Expected values:(MR, MRS, MISS, DR, PR)")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public Model184 firstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

   /**
   * First name.
   * @return firstName
  **/
  @ApiModelProperty(required = true, value = "First name.")
  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public Model184 middleName(String middleName) {
    this.middleName = middleName;
    return this;
  }

   /**
   * Middle name.
   * @return middleName
  **/
  @ApiModelProperty(value = "Middle name.")
  public String getMiddleName() {
    return middleName;
  }

  public void setMiddleName(String middleName) {
    this.middleName = middleName;
  }

  public Model184 lastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

   /**
   * Last name.
   * @return lastName
  **/
  @ApiModelProperty(required = true, value = "Last name.")
  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public Model184 birthDate(String birthDate) {
    this.birthDate = birthDate;
    return this;
  }

   /**
   * Birth date - ISO 8601 format (YYYY-MM-DD).
   * @return birthDate
  **/
  @ApiModelProperty(example = "1990-04-25", required = true, value = "Birth date - ISO 8601 format (YYYY-MM-DD).")
  public String getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(String birthDate) {
    this.birthDate = birthDate;
  }

  public Model184 externalInformations(ExternalInformations externalInformations) {
    this.externalInformations = externalInformations;
    return this;
  }

   /**
   * Get externalInformations
   * @return externalInformations
  **/
  @ApiModelProperty(value = "")
  public ExternalInformations getExternalInformations() {
    return externalInformations;
  }

  public void setExternalInformations(ExternalInformations externalInformations) {
    this.externalInformations = externalInformations;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model184 model184 = (Model184) o;
    return Objects.equals(this.title, model184.title) &&
        Objects.equals(this.firstName, model184.firstName) &&
        Objects.equals(this.middleName, model184.middleName) &&
        Objects.equals(this.lastName, model184.lastName) &&
        Objects.equals(this.birthDate, model184.birthDate) &&
        Objects.equals(this.externalInformations, model184.externalInformations);
  }

  @Override
  public int hashCode() {
    return Objects.hash(title, firstName, middleName, lastName, birthDate, externalInformations);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model184 {\n");
    
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    firstName: ").append(toIndentedString(firstName)).append("\n");
    sb.append("    middleName: ").append(toIndentedString(middleName)).append("\n");
    sb.append("    lastName: ").append(toIndentedString(lastName)).append("\n");
    sb.append("    birthDate: ").append(toIndentedString(birthDate)).append("\n");
    sb.append("    externalInformations: ").append(toIndentedString(externalInformations)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

